[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'contnrs' (#fcl)

# TObjectList.create

Create a new object list.

## Declaration

Source position: line 0

`public constructor TObjectList.create; constructor TObjectList.create(`
`freeobjects: Boolean`
`);`

## Arguments

`freeobjects` |  | Should removed items be freed from memory

## Description

Create instantiates a new object list. The FreeObjects parameter determines whether objects that are removed from the list should also be freed from memory. By default this is True. This behaviour can be changed after the list was instantiated.

## Errors

None.

## See also

TObjectList.Destroy
TObjectList.OwnsObjects |  | Should the list free elements when they are removed.
TFPObjectList |  | TFPList descendent which manages objects.

Documentation generated on: Feb 26 2014